// 控制jq
var w = $(window).width();
var h = $(window).height();
$(function(){
	$('#menuIcon').click(function(){
		if($(this).eq(0).attr('data-type') == 1){
			$(this).attr('data-type', '2');
			$('#mbMenu').attr('data-type', '2');
		}else{
			$(this).attr('data-type', '1');
			$('#mbMenu').attr('data-type', '1');
			$('#openform i').attr('class', 'fas fa-search');
			$('form[name="hSearch"]').attr('id', '');
		}
	});
	$('#closeIcon').click(function(){
		if($('#mbMenu').eq(0).attr('data-type') == 2){
			$('#menuIcon').attr('data-type', '1');
			$('#mbMenu').attr('data-type', '1');
			$('#openform i').attr('class', 'fas fa-search');
			$('form[name="hSearch"]').attr('id', '');
		}
	});
	$('#openform').click(function(){
		$('form[name="hSearch"] input[name="kw"]').focus();
		if($(this).children('i').attr('class') == 'fas fa-search'){
			$(this).children('i').attr('class', 'fas fa-times');
			$('form[name="hSearch"]').attr('id', 'hSearch');
		}else{
			$(this).children('i').attr('class', 'fas fa-search');
			$('form[name="hSearch"]').attr('id', '');
		}
	});
	$('#sideBtn').click(function(){
		if($(this).eq(0).attr('data-type') == '1'){
			$(this).attr('data-type', '2');
			$(this).next().addClass('open');
		}else{
			$(this).attr('data-type', '1');
			$(this).next().removeClass('open');
			$('#sideNav ul li').removeClass('openlist');
		}
	});
	$('#sideNav li h3 b').click(function(){
		if($(this).parent().eq(0).attr('data-type') == '1'){
			$(this).parent().attr('data-type', '2');
			$(this).parent().parent().addClass('openlist');
		}else{
			$(this).parent().attr('data-type', '1');
			$(this).parent().parent().removeClass('openlist');
		}
	});
	$('#goSearch').click(function(){
		$('#hSearch').submit();
	});
	$('#webSeo').marquee({
		duration: 50000
	});
});
//回到顶部
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}
$(window).scroll(function(){
	var scrollH = $(this).scrollTop();
	var last = $("#wrapBox").height();
	if(scrollH > 50){
		$('header').addClass('headerfixed');
		$('#gotop a').css('opacity', '1');
	}else{
		$('header').removeClass('headerfixed');
		$('#gotop a').css('opacity', '0');
	}
    if($(window).scrollTop() > last){
		$('.gotop').attr('id', 'fgtop');
    }else{
		$('.gotop').attr('id', 'gotop');
	}
});
//jump6
var flagWC = 0;
window.addEventListener('message',function(e){
	if(e.source != window.parent) return;
	if(flagWC > 0) return;
	document.body.style.width = e.data;
	document.body.style.overflowX = "hidden";
	flagWC = 1;
},true);
if(window.top != window && flagWC == 0){
	window.top.postMessage('givemewidth','*');
}